<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.FileLoadData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_file_load_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_file_load_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.FileLoadData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a model path information.  
 <a href="class_tri_lib_1_1_file_load_data.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.FileLoadData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_file_load_data.png" usemap="#TriLib.FileLoadData_map" alt=""/>
  <map id="TriLib.FileLoadData_map" name="TriLib.FileLoadData_map">
<area href="class_tri_lib_1_1_browser_load_data.html" title="Represetns a ZIP file loading data." alt="TriLib.BrowserLoadData" shape="rect" coords="0,112,149,136"/>
<area href="class_tri_lib_1_1_g_c_file_load_data.html" title="Represents a model path information, with GC buffers to store resources data." alt="TriLib.GCFileLoadData" shape="rect" coords="159,112,308,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ace47ad7897d2eb068f1e2a013454e25f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_load_data.html#ace47ad7897d2eb068f1e2a013454e25f">Dispose</a> ()</td></tr>
<tr class="memdesc:ace47ad7897d2eb068f1e2a013454e25f"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_tri_lib_1_1_file_load_data.html#ace47ad7897d2eb068f1e2a013454e25f">More...</a><br /></td></tr>
<tr class="separator:ace47ad7897d2eb068f1e2a013454e25f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a698ae3f6c67f0e6cd983ad42c0e8fd86"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_load_data.html#a698ae3f6c67f0e6cd983ad42c0e8fd86">AddBuffer</a> (GCHandle bufferHandle)</td></tr>
<tr class="memdesc:a698ae3f6c67f0e6cd983ad42c0e8fd86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual method used to add locked GC buffers to locked buffers list.  <a href="class_tri_lib_1_1_file_load_data.html#a698ae3f6c67f0e6cd983ad42c0e8fd86">More...</a><br /></td></tr>
<tr class="separator:a698ae3f6c67f0e6cd983ad42c0e8fd86"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aaa2b61b2f79695f61c16a51621eef992"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_load_data.html#aaa2b61b2f79695f61c16a51621eef992">Filename</a></td></tr>
<tr class="memdesc:aaa2b61b2f79695f61c16a51621eef992"><td class="mdescLeft">&#160;</td><td class="mdescRight">Model filename.  <a href="class_tri_lib_1_1_file_load_data.html#aaa2b61b2f79695f61c16a51621eef992">More...</a><br /></td></tr>
<tr class="separator:aaa2b61b2f79695f61c16a51621eef992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a8ae7500f5073fca28447486256e014"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_file_load_data.html#a3a8ae7500f5073fca28447486256e014">BasePath</a></td></tr>
<tr class="memdesc:a3a8ae7500f5073fca28447486256e014"><td class="mdescLeft">&#160;</td><td class="mdescRight">Model base path.  <a href="class_tri_lib_1_1_file_load_data.html#a3a8ae7500f5073fca28447486256e014">More...</a><br /></td></tr>
<tr class="separator:a3a8ae7500f5073fca28447486256e014"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a model path information. </p>
<p >This class is used to retrieve models path information when calling <a class="el" href="class_tri_lib_1_1_assimp_interop.html#aad218c7a6179beee448b78dde2bd0f58">AssimpInterop.DataCallback</a> and <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a545dddfb0538385ca925207fd830e039">AssimpInterop.ExistsCallback</a> callbacks. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a698ae3f6c67f0e6cd983ad42c0e8fd86" name="a698ae3f6c67f0e6cd983ad42c0e8fd86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a698ae3f6c67f0e6cd983ad42c0e8fd86">&#9670;&nbsp;</a></span>AddBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void TriLib.FileLoadData.AddBuffer </td>
          <td>(</td>
          <td class="paramtype">GCHandle&#160;</td>
          <td class="paramname"><em>bufferHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Virtual method used to add locked GC buffers to locked buffers list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bufferHandle</td><td>Locked GC buffer handle.</td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="class_tri_lib_1_1_g_c_file_load_data.html#ad77757a969da2a6a25f2dfeba3ac5d1d">TriLib.GCFileLoadData</a>.</p>

</div>
</div>
<a id="ace47ad7897d2eb068f1e2a013454e25f" name="ace47ad7897d2eb068f1e2a013454e25f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace47ad7897d2eb068f1e2a013454e25f">&#9670;&nbsp;</a></span>Dispose()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void TriLib.FileLoadData.Dispose </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="class_tri_lib_1_1_g_c_file_load_data.html#a17bafa13cdd28c869e4b25428fd5c4c6">TriLib.GCFileLoadData</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3a8ae7500f5073fca28447486256e014" name="a3a8ae7500f5073fca28447486256e014"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a8ae7500f5073fca28447486256e014">&#9670;&nbsp;</a></span>BasePath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.FileLoadData.BasePath</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Model base path. </p>
<p >inheritdoc/&gt; </p>

</div>
</div>
<a id="aaa2b61b2f79695f61c16a51621eef992" name="aaa2b61b2f79695f61c16a51621eef992"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa2b61b2f79695f61c16a51621eef992">&#9670;&nbsp;</a></span>Filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.FileLoadData.Filename</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Model filename. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_file_load_data_8cs.html">FileLoadData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_file_load_data.html">FileLoadData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
